## EMailIdentityComboBox

EMailIdentityComboBox — Combo box of mail identities

## Functions

GtkWidget * | e_mail_identity_combo_box_new ()
void | e_mail_identity_combo_box_refresh ()
ESourceRegistry * | e_mail_identity_combo_box_get_registry ()
gboolean | e_mail_identity_combo_box_get_allow_none ()
void | e_mail_identity_combo_box_set_allow_none ()
const gchar * | e_mail_identity_combo_box_get_none_title ()
void | e_mail_identity_combo_box_set_none_title ()
gboolean | e_mail_identity_combo_box_get_allow_aliases ()
void | e_mail_identity_combo_box_set_allow_aliases ()
gboolean | e_mail_identity_combo_box_get_active_uid ()
gboolean | e_mail_identity_combo_box_set_active_uid ()
gboolean | e_mail_identity_combo_box_get_refreshing ()

## Properties

gboolean | allow-aliases | Read / Write
gboolean | allow-none | Read / Write
ESourceRegistry * | registry | Read / Write / Construct Only

## Types and Values

struct | EMailIdentityComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── EMailIdentityComboBox

## Implemented Interfaces

EMailIdentityComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Includes

    #include <e-util/e-util.h>

## Description

EMailIdentity is a combo box of available mail identities, as described by ESource instances with an ESourceMailIdentity extension. For convenience, the combo box model's “id-column” is populated with ESource “uid” strings.

## Functions

### e_mail_identity_combo_box_new ()

    GtkWidget *
    e_mail_identity_combo_box_new (ESourceRegistry *registry);

Creates a new EMailIdentityComboBox widget using ESource instances in `registry` .

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new EMailIdentityComboBox

### e_mail_identity_combo_box_refresh ()

    void
    e_mail_identity_combo_box_refresh (EMailIdentityComboBox *combo_box);

Rebuilds the combo box model with an updated list of ESource instances that describe a mail identity, without disrupting the previously active item (if possible).

This function is called automatically in response to ESourceRegistry signals which are pertinent to the `combo_box` .

#### Parameters

combo_box | an EMailIdentityComboBox |

### e_mail_identity_combo_box_get_registry ()

    ESourceRegistry *
    e_mail_identity_combo_box_get_registry
                                   (EMailIdentityComboBox *combo_box);

Returns the ESourceRegistry passed to `e_mail_identity_combo_box_new()`.

#### Parameters

combo_box | an EMailIdentityComboBox |

#### Returns

an ESourceRegistry

### e_mail_identity_combo_box_get_allow_none ()

    gboolean
    e_mail_identity_combo_box_get_allow_none
                                   (EMailIdentityComboBox *combo_box);

Returns whether to append the mail identity list with a "None" item for use cases where the user may wish to opt out of choosing a mail identity.

#### Parameters

combo_box | an EMailIdentityComboBox |

#### Returns

whether to include a "None" option

### e_mail_identity_combo_box_set_allow_none ()

    void
    e_mail_identity_combo_box_set_allow_none
                                   (EMailIdentityComboBox *combo_box,
                                    gboolean allow_none);

Sets whether to append the mail identity list with a "None" item for use cases where the user may wish to opt out of choosing a mail identity.

Changing this property will automatically rebuild the combo box model.

#### Parameters

combo_box | an EMailIdentityComboBox |
allow_none | whether to include a "None" option |

### e_mail_identity_combo_box_get_none_title ()

    const gchar *
    e_mail_identity_combo_box_get_none_title
                                   (EMailIdentityComboBox *combo_box);

#### Parameters

combo_box | an EMailIdentityComboBox |

#### Returns

what title the none item should have

Since: 3.42

### e_mail_identity_combo_box_set_none_title ()

    void
    e_mail_identity_combo_box_set_none_title
                                   (EMailIdentityComboBox *combo_box,
                                    const gchar *none_title);

Set what title the none item should have. This is a user visible string, thus it should be localized. Use `NULL` to reset to the default "None" title.

#### Parameters

combo_box | an EMailIdentityComboBox |
none_title | a title to use, or `NULL`. | [nullable]

Since: 3.42

### e_mail_identity_combo_box_get_allow_aliases ()

    gboolean
    e_mail_identity_combo_box_get_allow_aliases
                                   (EMailIdentityComboBox *combo_box);

Returns whether to show also aliases of the mail identities.

#### Parameters

combo_box | an EMailIdentityComboBox |

#### Returns

whether to show also aliases of the mail identities

Since: 3.24

### e_mail_identity_combo_box_set_allow_aliases ()

    void
    e_mail_identity_combo_box_set_allow_aliases
                                   (EMailIdentityComboBox *combo_box,
                                    gboolean allow_aliases);

Sets whether to show also aliases of the mail identities.

Changing this property will automatically rebuild the combo box model.

#### Parameters

combo_box | an EMailIdentityComboBox |
allow_aliases | whether to show also aliases of the mail identities |

Since: 3.24

### e_mail_identity_combo_box_get_active_uid ()

    gboolean
    e_mail_identity_combo_box_get_active_uid
                                   (EMailIdentityComboBox *combo_box,
                                    gchar **identity_uid,
                                    gchar **alias_name,
                                    gchar **alias_address);

Sets identity UID, used name and used address for the currently active item in the `combo_box` . Both `alias_name` and `alias_address` are optional.

#### Parameters

combo_box | an EMailIdentityComboBox |
identity_uid | identity UID of the currently active item. | [out][transfer full]
alias_name | alias name of the currently active item. | [out][nullable][transfer full]
alias_address | alias address of the currently active item. | [out][nullable][transfer full]

#### Returns

Whether any item was selected. If `FALSE` is returned, then the values of the output arguments are unchanged. Free the returned values with `g_free()` when done with them.

Since: 3.24

### e_mail_identity_combo_box_set_active_uid ()

    gboolean
    e_mail_identity_combo_box_set_active_uid
                                   (EMailIdentityComboBox *combo_box,
                                    const gchar *identity_uid,
                                    const gchar *alias_name,
                                    const gchar *alias_address);

Selects an item which corresponds to `identity_uid` . If the `alias_address` is specified, then it will try to select an alias entry with this address for this identity UID. If no such can be found, then picks the main `identity_uid` item instead.

#### Parameters

combo_box | an EMailIdentityComboBox |
identity_uid | identity UID to select |
alias_name | alias name to select. | [nullable]
alias_address | alias address to select. | [nullable]

#### Returns

Whether such identity_uid had been found and selected.

Since: 3.24

### e_mail_identity_combo_box_get_refreshing ()

    gboolean
    e_mail_identity_combo_box_get_refreshing
                                   (EMailIdentityComboBox *combo_box);

#### Parameters

combo_box | an EMailIdentityComboBox |

#### Returns

Whether the combo box content is currently refreshing.

Since: 3.16

## Types and Values

### struct EMailIdentityComboBox

    struct EMailIdentityComboBox;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“allow-aliases”` property

      “allow-aliases”            gboolean

Owner: EMailIdentityComboBox

Flags: Read / Write

Default value: FALSE

### The `“allow-none”` property

      “allow-none”               gboolean

Owner: EMailIdentityComboBox

Flags: Read / Write

Default value: FALSE

### The `“registry”` property

      “registry”                 ESourceRegistry *

Owner: EMailIdentityComboBox

Flags: Read / Write / Construct Only